# Binarize Module

This module provides various image binarization techniques for converting grayscale images to binary (black and white) images.

## Features
- Local adaptive thresholding for varying lighting conditions
- Otsu's method for global thresholding
- Optimized for document image processing

## Components
- `adaptive_threshold.py`: Implements local adaptive thresholding
- `otsu_threshold.py`: Implements Otsu's method for optimal threshold selection

## Usage
The binarize module is essential for document preprocessing, particularly before OCR operations, to ensure clear text-background separation.
