# Detect Lines Module

This module provides comprehensive functionality for detecting and processing lines in documents.

## Features
- Horizontal line detection for table rows
- Vertical line detection for table columns
- Line removal for cleaner OCR
- Line segment merging for broken lines

## Components
- `detect_horizontal.py`: Detects horizontal lines
- `detect_vertical.py`: Detects vertical lines
- `remove_lines.py`: Removes lines for cleaner OCR
- `merge_lines.py`: Merges broken line segments

## Usage
The detect_lines module is essential for table structure analysis, form processing, and document layout understanding.
