# Layout Module

This module provides functionality for analyzing and understanding document layout structure.

## Features
- Grid analysis for spatial relationships
- Table structure inference
- Text block merging and organization

## Components
- `layout_grid.py`: Analyzes spatial relationships between lines and boxes
- `infer_table_structure.py`: Maps detected lines to rows and columns
- `merge_text_blocks.py`: Merges nearby text ROIs into logical blocks

## Usage
The layout module is essential for understanding document structure, particularly for forms and tables, enabling better content organization and extraction.
